Package net.shibboleth.shared.servlet.impl

# Class StubbedFilter

java.lang.Object
net.shibboleth.shared.servlet.impl.StubbedFilter

All Implemented Interfaces:
  `Filter`

Direct Known Subclasses:
  `CookieBufferingFilter`, `RequestResponseContextFilter`

public class StubbedFilter extends Object implements Filter
Legacy stub for compatibility.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`className`
Class name to warn about, defaults to the name of this class (or its superclass).

## Constructor Summary

Constructors
Constructor
Description
`StubbedFilter()`
Constructor.
`StubbedFilter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`doFilter(ServletRequest request, ServletResponse response, FilterChain chain)`
`void`
`init(FilterConfig filterConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.Filter

`destroy`

## Field Details

### className

@Nonnull @NotEmpty private final String className
Class name to warn about, defaults to the name of this class (or its superclass).

## Constructor Details

### StubbedFilter

public StubbedFilter()
Constructor.

### StubbedFilter

public StubbedFilter(@Nullable @NotEmpty @ParameterName(name="name") String name)
Constructor.

Parameters:
  `name` - overrides class name for warning messages

## Method Details

### init

public void init(FilterConfig filterConfig) throws ServletException

Specified by:
  `init` in interface `Filter`
Throws:
  `ServletException`

### doFilter

public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException

Specified by:
  `doFilter` in interface `Filter`
Throws:
  `IOException`
  `ServletException`